Subject: Re: [ANNOUNCE] Git v2.35.0-rc1

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Jan 2022 10:42:02 -0800

<[email-masked]> writes:

> On January 14, 2022 9:19 PM, Junio wrote:
>> A release candidate Git v2.35.0-rc1 is now available for testing at the usual places.
>> It is comprised of 467 non-merge commits since v2.34.0, contributed by 80
>> people, 32 of which are new faces [*].
>
> FYI: rc1 built/test (mostly) passes on both NonStop x86 and ia64 platforms.
>
> We seem to have a recurrence of a transient failure in t5562 from a few releases ago. Retesting makes the problem disappear.
>
> Subtest 8
> #	
> #		test_env HTTP_CONTENT_ENCODING="gzip" test_http_env upload empty_body &&
> #		! verify_http_result "200 OK"
> #	
> Subtest 14
> #	
> #		test_env HTTP_CONTENT_ENCODING="gzip" test_http_env receive empty_body &&
> #		! verify_http_result "200 OK"
> #	
>
> Am I mistaken that using the ! verify_http_result construct is not recommended or am I misremembering the discussion?
>
> Regards,
> --Randall

I do not recall anything about that shell function.

I found a half-thread with similar-looking report on an obscure
system, since the 2.25 era:

https://lore.kernel.org/git/[email-masked]/

And then from you that is even older, in the 2.21 era:

https://lore.kernel.org/git/[email-masked]/

But neither seems to lead to a discussion on the use of verify_http_result
helper.